OpenNMS API 1.2.9

## org.opennms.web.admin.groups.parsers
Class GroupInfo

    java.lang.Object
      org.opennms.web.admin.groups.parsers.GroupInfo

Deprecated. Use the Group class instead

public class GroupInfo
extends java.lang.Object

This is a data class to store the group information from the groups.xml file

Version:
  1.1.1.1
Author:
  Jason Johns , OpenNMS

Field Summary
`private java.util.List` `m_dutySchedules` Deprecated. The list of duty schedules in the group
`private java.lang.String` `m_groupComments` Deprecated. The comments for the group
`private java.lang.String` `m_groupName` Deprecated. The name of the group
`private java.util.List` `m_users` Deprecated. The list of users in the group

Constructor Summary
`GroupInfo()` Deprecated. Default constructor, intializes the users list

Method Summary
`void` `addGroupDutySchedule(DutySchedule aSchedule)` Deprecated. This method adds a duty schedule
`void` `addUser(java.lang.String aUser)` Deprecated. Adds a username to the list of users
`int` `getDutyScheduleCount()` Deprecated. Returns the number of DutySchedule object for a group
`java.util.List` `getDutySchedules()` Deprecated. Returns the full list of DutySchedules
`java.lang.String` `getGroupComments()` Deprecated. Returns the comments for the group
`java.lang.String` `getGroupName()` Deprecated. Returns the group name
`int` `getUserCount()` Deprecated. Returns a count of the users in the list
`java.util.List` `getUsers()` Deprecated. Returns the list of users
`boolean` `isOnDuty(java.util.Calendar aTime)` Deprecated. Returns a boolean indicating if the user is on duty at the specified time.
`void` `removeUser(java.lang.String aUser)` Deprecated. Removes a username from the list of users
`void` `setDutySchedule(java.util.List someSchedules)` Deprecated. This method sets a full list of duty schedules for a group
`void` `setGroupComments(java.lang.String someComments)` Deprecated. Sets the comments for the group
`void` `setGroupName(java.lang.String aName)` Deprecated. Sets the group name
`java.lang.String` `toString()` Deprecated. Returns a String representation of the group, used primarily for debugging.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_groupName

    private java.lang.String m_groupName

  Deprecated.
  The name of the group

### m_groupComments

    private java.lang.String m_groupComments

  Deprecated.
  The comments for the group

### m_users

    private java.util.List m_users

  Deprecated.
  The list of users in the group

### m_dutySchedules

    private java.util.List m_dutySchedules

  Deprecated.
  The list of duty schedules in the group

Constructor Detail

### GroupInfo

    public GroupInfo()

  Deprecated.
  Default constructor, intializes the users list

Method Detail

### setGroupName

    public void setGroupName(java.lang.String aName)

  Deprecated.
  Sets the group name

  Parameters:
    `aName` - the name of the group

### getGroupName

    public java.lang.String getGroupName()

  Deprecated.
  Returns the group name

  Returns:
    the name of the group

### setGroupComments

    public void setGroupComments(java.lang.String someComments)

  Deprecated.
  Sets the comments for the group

  Parameters:
    `someComments` - the comments for the group

### getGroupComments

    public java.lang.String getGroupComments()

  Deprecated.
  Returns the comments for the group

  Returns:
    the comments for the group

### addUser

    public void addUser(java.lang.String aUser)

  Deprecated.
  Adds a username to the list of users

  Parameters:
    `aUser` - a new username

### removeUser

    public void removeUser(java.lang.String aUser)

  Deprecated.
  Removes a username from the list of users

  Parameters:
    `aUser` - the user to remove

### getUsers

    public java.util.List getUsers()

  Deprecated.
  Returns the list of users

  Returns:
    the list of users

### getUserCount

    public int getUserCount()

  Deprecated.
  Returns a count of the users in the list

  Returns:
    how many users in this group

### addGroupDutySchedule

    public void addGroupDutySchedule(DutySchedule aSchedule)

  Deprecated.
  This method adds a duty schedule

  Parameters:
    `aSchedule` - a new duty schedule to associate with a group

### setDutySchedule

    public void setDutySchedule(java.util.List someSchedules)

  Deprecated.
  This method sets a full list of duty schedules for a group

  Parameters:
    `someSchedules` - a list of DutySchedule objects for a group

### getDutyScheduleCount

    public int getDutyScheduleCount()

  Deprecated.
  Returns the number of DutySchedule object for a group

  Returns:
    the number of DutySchedules

### getDutySchedules

    public java.util.List getDutySchedules()

  Deprecated.
  Returns the full list of DutySchedules

  Returns:
    the full list of DutySchedules

### isOnDuty

    public boolean isOnDuty(java.util.Calendar aTime)

  Deprecated.
  Returns a boolean indicating if the user is on duty at the specified time.

  Parameters:
    `aTime` - a time to see if the user is on duty
  Returns:
    true if the user is on duty, false otherwise

### toString

    public java.lang.String toString()

  Deprecated.
  Returns a String representation of the group, used primarily for debugging.

  Returns:
    a string representation

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.